%define major 4
%define libname		%mklibname mbim-glib %{major}
%define develname	%mklibname mbim-glib -d

Name:		libmbim
Version:	1.14.0
Release:	%mkrel 2
Summary:	MBIM modem protocol helper library
License:	GPLv2
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libmbim/
Source:		https://www.freedesktop.org/software/libmbim/libmbim-%{version}.tar.xz
Patch0:		libmbim-1.14.0-optional-gtk-doc.patch
BuildRequires:	glib2-devel
BuildRequires:	libgudev-devel

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C
Obsoletes:	%{_lib}mbim4 < 1.14.0
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM shared libraries.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	mbim-devel = %{version}-%{release}
Provides:	mbim-glib-devel = %{version}-%{release}
Obsoletes:	%{_lib}mbim-devel < 1.14.0

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM header files and development libraries.

%package utils
Summary:	MBIM command line utilities
License:	GPLv2
Group:		System/Base

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM command line utilities.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--disable-gtk-doc
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files -n %{libname}
%doc AUTHORS COPYING NEWS
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/mbim-glib.pc

%files utils
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion/completions/mbimcli
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbimcli.1*
%{_mandir}/man1/mbim-network.1*


%changelog
* Thu Mar 09 2017 wally <wally> 1.14.0-2.mga6
+ Revision: 1090592
- make lib pkg to require mbim-proxy (libmbim-utils pkg)
- add patch to make gtk-doc build optional and disable it

* Fri Aug 26 2016 wally <wally> 1.14.0-1.mga6
+ Revision: 1049076
- new version 1.14.0
- fix lib and devel pkg names
- tag docs as such

* Thu Feb 11 2016 umeabot <umeabot> 1.12.2-2.mga6
+ Revision: 955593
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 1.12.2-1.mga6
+ Revision: 840331
- new version 1.12.2

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 747709
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.0-4.mga5
+ Revision: 726743
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 681595
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 tv <tv> 1.10.0-2.mga5
+ Revision: 660598
- fix major
- prevent this packaging error to ever happen again...

* Thu Aug 07 2014 guillomovitch <guillomovitch> 1.10.0-1.mga5
+ Revision: 660354
- new version 1.10.0

* Mon Mar 10 2014 guillomovitch <guillomovitch> 1.8.0-1.mga5
+ Revision: 601839
- new version 1.8.0

* Thu Dec 19 2013 guillomovitch <guillomovitch> 1.6.0-1.mga4
+ Revision: 558907
- new version
- fix devel package virtual package name

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 531138
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1.4.0-1.mga4
+ Revision: 462160
- imported package libmbim

